# Project Flogo

Project Flogo is an Open Source Framework for IoT Edge Apps & Integration. 


Highlights include:
* Ultra-light process engine - 20x-50x lighter than Java or NodeRed
* Extensible & reusable by design to build your own apps, frameworks & platforms 
* 100% Open Source 

Project Flogo consists of the following sub-projects available as separate repos:
* [flogo-cli](https://github.com/TIBCOSoftware/flogo-cli): A command line tool to build flogo apps 
* [flogo-lib](https://github.com/TIBCOSoftware/flogo-lib): A library to build Flogo extensions
* [flogo-services](https://github.com/TIBCOSoftware/flogo-services): Backing services required by Flogo 
* [flogo-contrib](https://github.com/TIBCOSoftware/flogo-contrib) : Flogo Extensions available out of the box

## Getting Started

**IMPORTANT**: Project Flogo is currently in Developer Preview and primarily addresses the needs of   
- Flogo Extensions developers 
- IoT Solutions Developers 

In other words, currently it is for developers, by developers. 

As Project Flogo develops and matures, we are considering adding more integration tooling and developing zero-code experiences and services for end users based on Project Flogo. If you are an end user or a traditional zero-code integration app developer, we would recommend to check out the videos and sign up for updates on the project to see when it's ready for you to get started.  

If you are an Extensions or IoT Solutions developer, read on because it's easy to get started with Project Flogo:
* To install just the Flogo CLI and runtime, go to https://github.com/TIBCOSoftware/flogo-cli & follow instructions in the README
* For extensions developers, visit the docs in this repository to get started with developing your first Flogo activity

## Roadmap
Refer to [Flogo Statement of Direction](sod.md) for an overview of the strategic dircetion of the project. You can also monitor [milestones](https://github.com/TIBCOSoftware/flogo/milestones) to see what's coming up. 

## Contributing 
Contact flogo-oss@tibco.com to learn about contributing to the project. 

## License 
The top level flogo repo, consisting of flow samples & documentation, is licensed under the [TIBCO Samples Internal End User License](http://www.tibco.com/assets/bltaa3b690244486fc9/tibco-samples-with-redistribution-eula.pdf). See TIBCO Samples Internal End User License.txt for license text. 

Flogo source code in [flogo-cli](https://github.com/TIBCOSoftware/flogo-cli), [flogo-lib](https://github.com/TIBCOSoftware/flogo-lib), [flgo-contrib](https://github.com/TIBCOSoftware/flogo-contrib) & [flogo-services](https://github.com/TIBCOSoftware/flogo-services) repos are licensed under a BSD-style license. Refer to [flogo-cli license](https://github.com/TIBCOSoftware/flogo-cli/blob/master/TIBCO%20LICENSE.txt) for license text. 
